For the complete documentation index, see llms.txt. This page is also available as Markdown.

List device posture check policies

get
Authorizations
defguard_sessionstringRequired
Query parameters
pageinteger · int32Optional

Page number. Defaults to 1.

per_pageinteger · int32Optional

Number of items per page, from 1 to 100. Defaults to 50.

Responses
200

Paginated list of device posture check policies.

application/json

Envelope returned by paginated endpoints.

get/api/v1/device-posture
GET /api/v1/device-posture HTTP/1.1
Accept: */*
{
  "data": [
    {
      "allow_prerelease_client": true,
      "description": null,
      "id": 1,
      "locations": [
        1
      ],
      "min_desktop_client_version": null,
      "min_mobile_client_version": null,
      "name": "text",
      "os_rules": [
        {
          "ad_domain_joined_required": null,
          "antivirus_required": null,
          "disk_encryption_required": null,
          "min_os_version": null,
          "os_type": "windows",
          "windows_security_update_max_age": null
        }
      ]
    }
  ],
  "pagination": {
    "current_page": 1,
    "next_page": null,
    "page_size": 1,
    "total_items": 1,
    "total_pages": 1
  }
}

Last updated

Was this helpful?